
/* Resource declarations for sample SimpleOutMovies

   For details on all these items check the comments on the
   Standard File Sample Application by
   Apple Developer Technical Support
   
*	Apple Macintosh Developer Technical Support
*
*	Copyright  1989-1991 Apple Computer, Inc.
*	All rights reserved.
*
*/

#include "Types.r"
#include "SysTypes.r"

#define rGetDirectoryDLOG	1002
#define rStrMisc		256

resource 'SIZE' (-1) {
	dontSaveScreen,
	ignoreSuspendResumeEvents,
	enableOptionSwitch,
	cannotBackground,
	notMultiFinderAware,
	backgroundAndForeground,
	getFrontClicks,
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	1024*1024,
	2048*1024
};

resource 'STR#' (rStrMisc) {
	 {	/* array StringArray: 5 elements */
/* [1] */	"MySave";
/* [2] */	"K free";
/* [3] */	"Folder with PICTs?";
/* [4] */	"The item selected was ";
/* [5] */	"The Cancel button was pressed."
	}
};
/* -------------------------- Used for Setdirectory -------------------------- */

resource 'DLOG' (rGetDirectoryDLOG, purgeable) {
	{0, 0, 217, 348},
	dBoxProc,
	invisible,
	noGoAway,
	0x0,
	1002,
	""
};

resource 'DITL' (rGetDirectoryDLOG, purgeable) {
	{	/* array DITLarray: 13 elements */
/* [1] */	{142, 256, 160, 336},	Button		{enabled,"Open"},
/* [2] */	{1152, 59, 1232, 77},	Button		{enabled,"Hidden"},
/* [3] */	{193, 256, 211, 336},	Button		{enabled,"Cancel"},
/* [4] */	{43, 232, 63, 347},		UserItem	{disabled},
/* [5] */	{72, 256, 90, 336},		Button		{enabled,"Eject"},
/* [6] */	{97, 256, 115, 336},	Button		{enabled,"Drive"},
/* [7] */	{43, 12, 189, 230},		UserItem	{enabled},
/* [8] */	{43, 229, 189, 246},	UserItem	{enabled},
/* [9] */	{128, 252, 129, 340},	UserItem	{disabled},
/* [10] */	{1044, 20, 1145, 116},	StaticText	{disabled,""},
/* [11] */	{167, 256, 185, 336},	Button		{enabled,"Directory"},
/* [12] */	{0, 30, 18, 215},		Button		{enabled,"Select Current Directory:"},
/* [13] */	{200, 20, 1145, 170},	StaticText	{disabled,""}
	}
};

resource 'DITL' (128) {
	{	/* array DITLarray: 3 elements */
		/* [1] */
		{80, 42, 100, 100},
		Button {
			enabled,
			"Yes"
		},
		/* [2] */
		{80, 133, 100, 191},
		Button {
			enabled,
			"No"
		},
		/* [3] */
		{25, 31, 61, 198},
		StaticText {
			disabled,
			"Do you have a sound file to add to the m"
			"ovie?"
		}
	}
};

resource 'ALRT' (128) {
	{100, 100, 220, 328},
	128,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound1,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound1,
		/* [4] */
		OK, visible, sound1
	}
};
